summaryrefslogtreecommitdiff
path: root/tcwg-benchmark.sh
diff options
context:
space:
mode:
authorMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2022-09-07 11:07:37 +0000
committerMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2022-09-07 11:07:37 +0000
commita2580bd9d296cda8834d22a8dc1ac3317fc95b8f (patch)
treefdf452daac11c45b4f07e0fa16721b8dc70489de /tcwg-benchmark.sh
parente81049808053bbdf39db9bb67d25d8fd7e4a4c83 (diff)
tcwg-benchmark.sh: Put a timeout on initial ssh to a bmk board
We can get a stuck machine that hasn't completely crashed and ssh server still replies, but can't complete a login. This can cause hours of waiting before the parent job times out. Change-Id: Iea2cde832c6794a6db5f7d663d45539e57eb770c
Diffstat (limited to 'tcwg-benchmark.sh')
-rwxr-xr-xtcwg-benchmark.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tcwg-benchmark.sh b/tcwg-benchmark.sh
index bdf1da36..2e0eb3f2 100755
--- a/tcwg-benchmark.sh
+++ b/tcwg-benchmark.sh
@@ -303,7 +303,7 @@ while [ $tries_left != 0 ]; do
tries_left=$(($tries_left-1))
if $reboot; then
- if ! ssh "$boardname" true || $force_power_cycle; then
+ if ! timeout 1m ssh "$boardname" true || $force_power_cycle; then
echo "Trying to power-cycle $boardname"
(
pdu_name=$(echo "${boardname%.tcwglab}" \